# $Revision: 1.41 $, $Date: 2006/01/14 18:24:55 $
%define		mod_name	auth_pam
%define 	apxs		/usr/sbin/apxs
Summary:	This is the PAM authentication module for Apache
Summary(es):	Este mdulo proporciona autenticacin PAM para Apache
Summary(pl):	Modu uwierzytelnienia PAM dla Apache
Summary(pt_BR):	Este mdulo prov autenticao PAM para o Apache
Name:		apache-mod_%{mod_name}
Version:	1.1.1
Release:	1
Epoch:		1
License:	GPL
Group:		Networking/Daemons
Source0:	http://pam.sourceforge.net/mod_%{mod_name}/dist/mod_%{mod_name}-2.0-%{version}.tar.gz
# Source0-md5:	ab873520ddd2fee7d480dfd53e464e0a
Source1:	apache-mod_auth_pam.conf
URL:		http://pam.sourceforge.net/mod_auth_pam/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache >= 2.0
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This is an authentication module for Apache that allows you to
authenticate HTTP clients using PAM (pluggable authentication module).

%description -l es
Este mdulo permite autenticar clientes HTTP usando el directorio PAM.

%description -l pl
To jest modu uwierzytelnienia dla Apache pozwalajcy na
uwierzytelnianie klientw HTTP przez PAM.

%description -l pt_BR
Este mdulo permite que voc autentique clientes HTTP usando o
diretrio PAM.

%prep
%setup -q -n mod_%{mod_name}

%build
%{apxs} -c mod_%{mod_name}.c	-o mod_%{mod_name}.la	 -lpam
%{apxs} -c mod_auth_sys_group.c -o mod_auth_sys_group.la -lpam

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},/etc/pam.d,%{_sysconfdir}/httpd.conf}

install .libs/mod_*.so $RPM_BUILD_ROOT%{_pkglibdir}
install samples/httpd $RPM_BUILD_ROOT/etc/pam.d/httpd
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/52_mod_auth_pam.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%preun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%triggerpostun -- %{name} < 1:1.1.1-1
if [ -f %{_sysconfdir}/httpd.conf/52_mod_auth_pam.conf ]; then
	echo "Saving old configuration as %{_sysconfdir}/httpd.conf/52_mod_auth_pam.conf.rpmsave"
	cp -f %{_sysconfdir}/httpd.conf/52_mod_auth_pam.conf %{_sysconfdir}/httpd.conf/52_mod_auth_pam.conf.rpmsave
	echo "Adjusting configuration for apache-mod_auth_pam >= 1.1"
	sed -i -e '{ s/pam_auth_module/auth_pam_module/g; s/etc_group_auth_module/auth_sys_group_module/g; s/mod_auth_pam2.so/mod_auth_pam.so/g; s/mod_auth_etc_group.so/mod_auth_sys_group.so/g; }' %{_sysconfdir}/httpd.conf/52_mod_auth_pam.conf

	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc doc/{configure,faq}.html samples/dot-htaccess README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf/*_mod_auth_pam.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%config(noreplace) /etc/pam.d/httpd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_auth_pam.spec,v $
Revision 1.41  2006/01/14 18:24:55  glen
- it's just matter of specifying correct epoch

Revision 1.40  2006/01/14 18:22:19  glen
- use %service macro
- killed bogus comment

Revision 1.39  2006/01/14 17:09:36  hawk
- updated to 1.1.1
- removed missing_constant.patch (fixed in sources)
- added ugly triggers to allow clean update
- note: according to project home page there was no mod_auth_pam 2.0,
  only tarball with alpha version for apache 2.0 had name
  mod_auth_pam-2.0.tar.gz while inside there was version 1.0a (alpha)

Revision 1.38  2005/12/27 01:33:00  glen
- unified files

Revision 1.37  2005/12/21 22:46:46  glen
- rel 5 (rebuild with new apache)

Revision 1.36  2005/12/13 18:44:31  qboosh
- fixed prep

Revision 1.35  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.34  2005/06/05 23:45:19  zbyniu
- BR: pam-devel

Revision 1.33  2004/11/04 20:22:40  paladine
- spaces->tabs

Revision 1.32  2004/10/10 12:05:10  havner
- rel up for rebuild with new apache/apr

Revision 1.31  2004/09/19 14:55:57  radek
- unified: use macro for _sysconfdir definition

Revision 1.30  2004/09/12 07:08:59  bszx
- config manipulation in post/preun scripts replaced by config file

Revision 1.29  2004/08/29 20:13:31  qboosh
- release 2

Revision 1.28  2004/08/29 20:12:25  qboosh
- fixed apxs-based linking

Revision 1.27  2004/08/29 16:55:29  radek
- add -Wc,-fPIC to apxs invocation (amd64 complained)

Revision 1.26  2004/08/29 16:41:39  radek
- release 1: added -Wl,-shared to apxs invocation, builds now

Revision 1.25  2004/08/27 22:44:41  radek
- added missing_constant.patch; build fails on linking, I give up

Revision 1.24  2004/08/27 13:19:56  radek
- R/BR apache instead of apache(EAPI)

Revision 1.23  2004/08/27 13:18:13  radek
- version 2.0 (nfy)

Revision 1.22  2004/02/28 22:21:42  qboosh
- s/autentykacja/uwierzytelnienie/ (and other forms)

Revision 1.21  2003/08/06 16:10:51  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.20  2003/07/08 13:02:54  qboosh
- more specific Requires

Revision 1.19  2003/07/07 03:10:38  blues
- some small changes, inpired by kloczek

Revision 1.18  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.17  2003/05/25 05:45:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/01/16 04:27:03  kloczek
- updated to 1.1.1,
- added default %config /etc/pam.d/httpd file (as noreplace).

Revision 1.15  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.14  2002/06/30 10:21:38  kloczek
- cosmetics.

Revision 1.13  2002/06/30 10:13:51  marcus
- addedd documentation
- rel.4.

Revision 1.12  2002/04/25 15:45:25  arturs
- fixed a small typo

Revision 1.11  2002/02/23 01:13:38  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/17 21:04:26  ankry
- release 3

Revision 1.8  2002/02/17 18:52:19  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.7  2002/01/18 02:12:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/06 08:07:57  kloczek
- release 2: merge translations from CNV.

Revision 1.5  2001/09/11 12:25:13  qboosh
- pl translations

Revision 1.4  2001/05/28 23:43:41  kloczek
- added symbol_fixa patch which allow (de)register module using apxs.

Revision 1.3  2001/05/28 22:16:57  serek
- anothersmall corrections.

Revision 1.2  2001/05/28 22:10:11  kloczek
- cosmetics.

Revision 1.1  2001/05/28 22:00:21  serek
- new & works for me.
